﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@using System.Web.UI.WebControls
@model IEnumerable<SSCMvc.Models.User>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script>
        var va;
        // this is for to check all the check box on the click of parent check box
        $('#sample_1 .group-checkable').change(function () {

            var set = jQuery(this).attr("data-set");
            var checked = jQuery(this).is(":checked");
            $(set).each(function () {
                if (checked) {
                    $(this).attr("checked", true);
                    va = true;
                    tick(va);

                } else {
                    // alert(2);
                    $(this).attr("checked", false);
                    va = false;
                    tick(va);
                }
            });
            jQuery.uniform.update(set);
        });

        function tick(va) {
            //alert(va);
            $('input[name=hdnStatus]').val(va);
        }


        $("#ajaxLink").click(function () {

            var form = $('#formMine');
            $.ajax({
                type: 'POST',
                url: '@Url.Action("UpdateUserStatus", "User")',
                cache: false,
                async: true,
                data: form.serialize(),
                success: function (result) {
                    $("#divAnswerSchemeContainer").html(result);

                    //$("#PoGuranteepartresponsive").modal('hide');
                },

                error: function (html) {
                    //alert(html);
                }
            });
        });

               

        $("#ResetajaxLink").click(function () {

            var form = $('#formMine');
            $.ajax({
                type: 'POST',
                url: '@Url.Action("ResetUserPassword", "User")',
                cache: false,
                async: true,
                data: form.serialize(),
                success: function (result) {
                    $("#divAnswerSchemeContainer").html(result);

                    //$("#PoGuranteepartresponsive").modal('hide');
                },

                error: function (html) {
                    //alert(html);
                }
            });
        });


    </script>


    <script>


    </script>
    <script>

        //this function is used for to insert true or false value in the database
        function updatestatus(a, idval) {

            if ($(a).is(':checked')) {

                $.post("/User/UpdateUserStatus", { "item.id": idval, "hdnStatus": "true" }, function (data) {
                });
            }

            else {
                $.post("/User/UpdateUserStatus", { "item.id": idval, "hdnStatus": "false" }, function (data) {
                });
            }

            window.location.href = "/User/Index";

        }


    </script>

    <script type="text/javascript">

        $("input[name='txtfirstname']").css("width", "150px");
        $("select[name='username']").css("width", "170px");

        $("#Searchbtn").click(function () {
           // alert('searchclick');
            var userid = $("#username").val();
            var branch = $("#BranchName").val();
            var firstname = $("#txtfirstname").val();
           // alert(firstname);
            var Usertype = $("#Usertype").val();

            window.location.href = "/User/_FilterCust?branid=" + branch + "&user=" + userid + "&firstname=" + firstname + "&Usertype=" + Usertype;

        });
    </script>
    <script>
        $("#username").val($("#hdnusername").val())

        $("#BranchName").val($("#hdnbranch").val())
        deleterecord("User");
    </script>

    <script type="text/javascript">

        //===== ALERT DELETE =====//

        function Confirmmsg(evt) {
            var message = confirm("Are You Sure Want To Update The Status ??");



            if (message == true) {

            }
            else {

                evt.preventDefault();
            }
        }

    </script>

    <script type="text/javascript">

        //===== ALERT DELETE =====//

        function ConfirmResetmsg(evt) {
            var message = confirm("Are You Sure Want To Reset All The User Password ??");



            if (message == true) {

            }
            else {

                evt.preventDefault();
            }
        }

    </script>

    @*<script>

        $(document).ready(function(){
            $('#txtfirstname').keypress(function (e) {
                if(e.keyCode==13)
                    $('#Searchbtn').click();
            });
        });

    </script>*@

}

@using (Html.BeginForm("_FilterCust", "User", FormMethod.Post, new { @defaultbutton = "Searchbtn",@id = "formMine", @class = "horizontal-form" }))
{
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            User List
        </h1>
    </div>
    <ul class="breadcrumb">
        <li>@Html.ActionLink("Home", "Index", "Home") <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div style="margin-left: 20px">
        <table style="width: 100%">
            <tr>
                <td>
                    @ViewBag.reset
                </td>
            </tr>
        </table>
    </div>
    <div style="margin-top: 40px">
        <table style="width: 900px" align="center">
            <tr>
                <td>
                    Branch Name
                    @Html.DropDownList("BranchName", "All")
                    <input type="hidden" id="hdnbranch" value="@ViewBag.branch" />
                </td>
                <td>

                    User Id
                    @Html.DropDownList("username", "All")

                    <input type="hidden" id="hdnusername" value="@ViewBag.userid" />
                </td>
                <td>
                    First Name
                    <input type="text" id="txtfirstname" name="txtfirstname" value="@ViewBag.firstname" />
                </td>

                <td>
                    User Type
                    @{
    var Usertype = new List<System.Web.UI.WebControls.ListItem>();
    Usertype.Add(new System.Web.UI.WebControls.ListItem { Text = "Active", Value = "Active" });
    Usertype.Add(new System.Web.UI.WebControls.ListItem { Text = "InActive", Value = "InActive" });
    Usertype.Add(new System.Web.UI.WebControls.ListItem { Text = "All", Value = "All" });
                    }
                    @Html.DropDownList("Usertype", new SelectList(Usertype))
                    <input type="hidden" id="hdnusertype" value="@ViewBag.userid" />
                </td>


                <td>
                    <table>
                        <tr>
                            <td>
                                <div style="margin-top:10px;">
                                    <input type="submit" value="Search" id="Searchbtn" class="btn btn-primary" />
                                    @*<input type="submit" value="Search" id="Searchbtn" class="btn btn-primary" />*@
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
            </div>
            <p class="datail_style">
                <table width="100%" align="center">
                    <tr>
                        <td align="left" width="10%">
                            @Html.ActionLink("Create New", "Create")
                        </td>
                        <td align="left" width="15%">
                            @*<input id="ajaxLink" type="submit" value="Update Status" onclick="Confirmmsg(event)" class="btn btn-primary" />*@
                            <input id="ajaxLink" type="button" value="Update Status" onclick="Confirmmsg(event)" class="btn btn-primary" />

                          </td>
                        <td align="left">
                            @*<input id="ResetajaxLink" type="submit" value="Reset Password" onclick="ConfirmResetmsg(event)" class="btn btn-primary" />*@
                            <input id="ResetajaxLink" type="button" value="Reset Password" onclick="ConfirmResetmsg(event)" class="btn btn-primary" />

                             @*@Html.ActionLink("Reset All Password", "ResetUserPassword", "User", null, new { @class = "btn blue", @OnClick = "ConfirmResetmsg(event)" })*@
                        </td>
                        <td align="right" width="50%">
                            Total: @ViewBag.TotalCount
                        </td>
                    </tr>
                </table>
            </p>
            <div class="well">
                <table class="table" id="sample_1">
                    <thead>
                        <tr>
                            <th>
                                <input type="checkbox" class="group-checkable" id="chk_all" value="1" data-set="#sample_1 .checkboxes" />
                                <label class="control-label" for="firstName">(Tick Check-Box For Print)</label>

                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.MaBranch.BramchName)
                            </th>
                            <th>
                                Username
                            </th>
                            @{ if (Request.Cookies[SSCMvc.Models.CommonUtil.CookieUsertype].Value == SSCMvc.Models.CommonUtil.UserTypeSuperAdmin)
                             {
                                <th>
                                    @Html.DisplayNameFor(model => model.Password)
                                </th>
                             }
                            }
                            <th>
                                @Html.DisplayNameFor(model => model.Fullname)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.Mobile)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.DateOfJoin)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.RollId)
                            </th>
                            <th>
                                @Html.DisplayNameFor(model => model.Status)
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @{int i = 0;

                        string bgcolor = "oddrow";
                        }
                        @foreach (var item in Model)
                        {
                            if (i % 2 == 0)
                            {
                                bgcolor = "evenrow";
                            }
                            else
                            {
                                bgcolor = "oddrow";
                            }
                            i++;
                            <tr class="@bgcolor">
                                <td>
                                    @*@Html.CheckBoxFor(modelItem => item.Status, new { @class = "checkboxes", @onchange = "updatestatus(this," + item.Id + ")" })*@

                                    @{

                            bool a = item.Status;

                            if (a == true)
                            {
                                <input type="checkbox" class="checkboxes" id="Status" checked="checked" onchange="updatestatus(this,@item.Id)" />

                                        @*<input type="checkbox" class="checkboxes" id="Status" checked="checked" />*@
                                        @Html.Hidden("hdnStatus", "true")

                            }
                            else
                            {
                                <input type="checkbox" class="checkboxes" id="Status" onchange="updatestatus(this,@item.Id)" />
                                        @*<input type="checkbox" class="checkboxes" id="Status" />*@
                                        @Html.Hidden("hdnStatus", "False")

                            }
                                    }
                                </td>
                                <td hidden="hidden">
                                    @Html.DisplayFor(modelItem => item.Id)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.MaBranch.BramchName)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.username)
                                </td>
                                @{ if (Request.Cookies[SSCMvc.Models.CommonUtil.CookieUsertype].Value == SSCMvc.Models.CommonUtil.UserTypeSuperAdmin)
                                 {
                                    <td>
                                        @Html.DisplayFor(modelItem => item.Password)
                                    </td>
                                 }
                                }
                                <td>
                                    @Html.DisplayFor(modelItem => item.Fullname)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Mobile)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.DateOfJoin)
                                </td>
                                <td>
                                    @*@Html.DisplayFor(modelItem => item.UserType)*@
                                    @{ 
                                        SSCWebDBEntities1 db = new SSCWebDBEntities1();
                                     string rollname=db.MaRoles.Where(b => b.Id == item.RollId).Select(b=>b.RollName).FirstOrDefault();

                                    }
                                    @rollname
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Status)
                                    @Html.HiddenFor(modelItem => item.Id, new { @Id = "id" })
                                </td>

                                <td>
                                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                    @{

                                 int roleid = StaticLogic.RoleId();
                                 if (Permission.CheckPermission(roleid, CommonUtil.User, UserAction.Delete) == true)
                                 {
                                    @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "User", new { id = item.Id }, new { @class = "delete-link" }, null)
                                 }
                                    }
                                    @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })|
                                    <a href="/User/SendMail/@item.Id" title="Send Mail" style="font-size:20px"><i class="icon-envelope"></i></a>
                                </td>
                            </tr>
                        }
                    </tbody>
                </table>
            </div>
            <div id="delete-dialog" title="Confirmation">
                <p>
                    Are You Sure you want to delete this
                </p>
            </div>
        </div>
    </div>
}